#Region "Copyright Syncfusion Inc. 2001 - 2005"
'
'  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region

Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel 
Imports System.Windows.Forms
Imports System.Data

Imports Syncfusion.Windows.Forms.Chart

Public Class Form1
    Inherits System.Windows.Forms.Form

    Private panel1 As System.Windows.Forms.Panel
    Private chartControl1 As Syncfusion.Windows.Forms.Chart.ChartControl
    Private WithEvents button1 As System.Windows.Forms.Button
    '/ <summary>
    '/ Required designer variable.
    '/ </summary>
    Private components As System.ComponentModel.Container = Nothing


    Public Sub New()
        '
        ' Required for Windows Form Designer support
        '
        InitializeComponent()
InitializeControlSettings()

    End Sub 'New

    '
    ' TODO: Add any constructor code after InitializeComponent call
    '

    '/ <summary>
    '/ Clean up any resources being used.
    '/ </summary>
    Protected Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub 'Dispose

    Private Sub InitializeControlSettings()
        ' Specify a ChartPalette:
        Dim colorarray() As Color = New Color() {Color.FromArgb(185, 73, 141, 238), Color.FromArgb(185, 247, 179, 78), Color.FromArgb(185, 186, 66, 30)}

        Me.chartControl1.Palette = ChartColorPalette.Custom
        Me.chartControl1.Model.ColorModel.CustomColors = colorarray
        Me.chartControl1.Palette = ChartColorPalette.Custom

        Me.chartControl1.ChartInterior = New Syncfusion.Drawing.BrushInfo(185, New Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue, Color.Azure))
        Me.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartDock.Top
        Me.chartControl1.ChartArea.HidePartialLabels = True
    End Sub

#Region "Windows Form Designer generated code"

    '/ <summary>
    '/ Required method for Designer support - do not modify
    '/ the contents of this method with the code editor.
    '/ </summary>
    Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(Form1))
        Me.panel1 = New System.Windows.Forms.Panel()
        Me.button1 = New System.Windows.Forms.Button()
        Me.chartControl1 = New Syncfusion.Windows.Forms.Chart.ChartControl()
        Me.panel1.SuspendLayout()
        Me.SuspendLayout()
        '
        'panel1
        '
        Me.panel1.Anchor = ((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Right)
        Me.panel1.BackColor = System.Drawing.Color.White
        Me.panel1.Controls.AddRange(New System.Windows.Forms.Control() {Me.button1})
        Me.panel1.Location = New System.Drawing.Point(392, 0)
        Me.panel1.Name = "panel1"
        Me.panel1.Size = New System.Drawing.Size(160, 376)
        Me.panel1.TabIndex = 0
        '
        'button1
        '
        Me.button1.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.button1.Location = New System.Drawing.Point(32, 16)
        Me.button1.Name = "button1"
        Me.button1.Size = New System.Drawing.Size(96, 32)
        Me.button1.TabIndex = 0
        Me.button1.Text = "Show Wizard"
        '
        'chartControl1
        '
        Me.chartControl1.Anchor = (((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right)
        Me.chartControl1.Controls.AddRange(New System.Windows.Forms.Control() {Me.chartControl1.Legend})
        Me.chartControl1.Font = New System.Drawing.Font("Arial", 12.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        '
        'chartControl1.Legend
        '
        Me.chartControl1.Legend.Location = New System.Drawing.Point(158, 39)
        Me.chartControl1.Legend.Orientation = ChartOrientation.Horizontal
        Me.chartControl1.Legend.TabIndex = 3
        Me.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartDock.Top
        Me.chartControl1.Name = "chartControl1"
        Me.chartControl1.PrimaryXAxis.Orientation = ChartOrientation.Horizontal
        Me.chartControl1.PrimaryXAxis.SmartDateZoomMonthLevelLabelFormat = "m"
        Me.chartControl1.PrimaryYAxis.SmartDateZoomMonthLevelLabelFormat = "m"
        Me.chartControl1.Size = New System.Drawing.Size(392, 376)
        Me.chartControl1.TabIndex = 1
        Me.chartControl1.Text = "Essential Chart"
        Me.chartControl1.ZoomOutIncrement = 1.5
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(552, 374)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.chartControl1, Me.panel1})
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.Name = "Form1"
        Me.Text = "ChartWizardSample"
        Me.panel1.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub 'InitializeComponent 
#End Region


    '/ <summary>
    '/ The main entry point for the application.
    '/ </summary>
    Shared Sub Main()
        Application.Run(New Form1())
    End Sub 'Main


    Private Sub button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles button1.Click
        Me.chartControl1.DisplayWizard()
    End Sub 'button1_Click
End Class 'Form1
